Package com.io7m.cardant.database.postgres.internal.enums

# Enum Class LocationSearchViewLocationMetaValueType

java.lang.Object
java.lang.Enum<LocationSearchViewLocationMetaValueType>
com.io7m.cardant.database.postgres.internal.enums.LocationSearchViewLocationMetaValueType

All Implemented Interfaces:
  `Serializable`, `Comparable<LocationSearchViewLocationMetaValueType>`, `Constable`, `org.jooq.EnumType`

public enum LocationSearchViewLocationMetaValueType extends Enum<LocationSearchViewLocationMetaValueType> implements org.jooq.EnumType
This class is generated by jOOQ.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SCALAR_INTEGRAL`
  `SCALAR_MONEY`
  `SCALAR_REAL`
  `SCALAR_TEXT`
  `SCALAR_TIME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.jooq.Catalog`
  `getCatalog()`
  `String`
  `getLiteral()`
  `String`
  `getName()`
  `org.jooq.Schema`
  `getSchema()`
  `static LocationSearchViewLocationMetaValueType`
  `lookupLiteral(String literal)`
  Lookup a value of this EnumType by its literal.
  `static LocationSearchViewLocationMetaValueType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LocationSearchViewLocationMetaValueType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SCALAR_INTEGRAL

    public static final LocationSearchViewLocationMetaValueType SCALAR_INTEGRAL

  - ### SCALAR_TEXT

    public static final LocationSearchViewLocationMetaValueType SCALAR_TEXT

  - ### SCALAR_MONEY

    public static final LocationSearchViewLocationMetaValueType SCALAR_MONEY

  - ### SCALAR_TIME

    public static final LocationSearchViewLocationMetaValueType SCALAR_TIME

  - ### SCALAR_REAL

    public static final LocationSearchViewLocationMetaValueType SCALAR_REAL

- ## Method Details

  - ### values

    public static LocationSearchViewLocationMetaValueType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LocationSearchViewLocationMetaValueType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCatalog

    public org.jooq.Catalog getCatalog()
    Specified by:
      `getCatalog` in interface `org.jooq.EnumType`

  - ### getSchema

    public org.jooq.Schema getSchema()
    Specified by:
      `getSchema` in interface `org.jooq.EnumType`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `org.jooq.EnumType`

  - ### getLiteral

    public String getLiteral()
    Specified by:
      `getLiteral` in interface `org.jooq.EnumType`

  - ### lookupLiteral

    public static LocationSearchViewLocationMetaValueType lookupLiteral(String literal)
    Lookup a value of this EnumType by its literal. Returns `null`, if no such value could be found, see `EnumType.lookupLiteral(Class, String)`.